Subject: bug#27807: 25.2; ido-completing-read handles cons-style initial-input wrong

From: "Ryan C. Thompson" <[email-masked]>
Date: Mon, 15 Jul 2019 12:24:55 -0700

On 7/15/19 11:54 AM, Lars Ingebrigtsen wrote:
> Ryan <[email-masked]> writes:
>
>>> `completing-read' uses 0-based index while `read-from-minibuffer' uses
>>> 1-based index.
>> Looking at "ido-read-internal", it passes the inital-input argument
>> directly to "read-from-minibuffer" without incrementing it as
>> "completing-read-default" does. Therefore any initial input of the form
>> "(STRING . POSITION)" is handled incorrectly by ido, but this can be
>> fixed by copying over the logic from "completing-read-default", as in
>> this patch:
>> https://mneme.dedyn.io/zerobin/?7cd07d73217c68e5#Aynth3YcZDcE7bkq8cxQnBl+uJ0/+d0UGYmB+7PqLT4=
> The link is dead now, but I think I've now fixed this for Emacs 27.
>
So now I need to add a test on the version number in my 
ido-completing-read+ package to fix the index for older Emacsen while 
not fixing it for newer ones. Can you tell me which is the first version 
number this fix will be released in? 27.0? 27.1? Something else?